Woopsi 1.0 GUI Framework for Nintendo DS Homebrew

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# WoopsiUI::ListBoxDataItem Class Reference

`#include <listboxdataitem.h>`

Inheritance diagram for WoopsiUI::ListBoxDataItem:

List of all members.

## Public Member Functions
| ListBoxDataItem (const WoopsiString &text, const u32 value, const u16 normalTextColour, const u16 normalBackColour, const u16 selectedTextColour, const u16 selectedBackColour)
u16 | getNormalTextColour () const
u16 | getNormalBackColour () const
u16 | getSelectedTextColour () const
u16 | getSelectedBackColour () const

## Detailed Description

Class representing a data item within a ListBox.

## Constructor & Destructor Documentation

WoopsiUI::ListBoxDataItem::ListBoxDataItem | ( | const WoopsiString & | text,
|  | const u32 | value,
|  | const u16 | normalTextColour,
|  | const u16 | normalBackColour,
|  | const u16 | selectedTextColour,
|  | const u16 | selectedBackColour
| ) |  |

Constructor.

Parameters:

  text | The text to display in the item.
  value | The value of the item.
  normalTextColour | Colour to draw the text with when not selected.
  normalBackColour | Colour to draw the background with when not selected.
  selectedTextColour | Colour to draw the text with when selected.
  selectedBackColour | Colour to draw the background with when selected.

## Member Function Documentation

u16 WoopsiUI::ListBoxDataItem::getNormalBackColour | ( |  | ) | const`[inline]`

Get the colour used for the background when the item is unselected.

Returns:
  The background colour when the item is unselected.

u16 WoopsiUI::ListBoxDataItem::getNormalTextColour | ( |  | ) | const`[inline]`

Get the colour used for text when the item is unselected.

Returns:
  The text colour when the item is unselected.

u16 WoopsiUI::ListBoxDataItem::getSelectedBackColour | ( |  | ) | const`[inline]`

Get the colour used for the background when the item is selected.

Returns:
  The background colour when the item is selected.

u16 WoopsiUI::ListBoxDataItem::getSelectedTextColour | ( |  | ) | const`[inline]`

Get the colour used for text when the item is selected.

Returns:
  The text colour when the item is selected.

The documentation for this class was generated from the following file:

- listboxdataitem.h